Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Here are the details of failed package operation.

installArchives() failed: 
Extracting templates from packages: 50%%
Extracting templates from packages: 100%%

Extracting templates from packages: 50%%
Extracting templates from packages: 100%%

Extracting templates from packages: 50%%
Extracting templates from packages: 100%%

Extracting templates from packages: 50%%
Extracting templates from packages: 100%%
(Reading database ... 
(Reading database ... 5%%
(Reading database ... 10%%
(Reading database ... 15%%
(Reading database ... 20%%
(Reading database ... 25%%
(Reading database ... 30%%
(Reading database ... 35%%
(Reading database ... 40%%
(Reading database ... 45%%
(Reading database ... 50%%
(Reading database ... 55%%
(Reading database ... 60%%
(Reading database ... 65%%
(Reading database ... 70%%
(Reading database ... 75%%
(Reading database ... 80%%
(Reading database ... 85%%
(Reading database ... 90%%
(Reading database ... 95%%
(Reading database ... 100%%
(Reading database ... 280864 files and directories currently installed.)
Preparing to replace cron 3.0pl1-120ubuntu3 (using .../cron_3.0pl1-120ubuntu4_amd64.deb) ...
cron stop/waiting
Unpacking replacement cron ...
Preparing to replace libgnutls26:i386 2.12.14-5ubuntu3 (using .../libgnutls26_2.12.14-5ubuntu3.1_i386.deb) ...
De-configuring libgnutls26 ...
Unpacking replacement libgnutls26:i386 ...
Preparing to replace libgnutls26 2.12.14-5ubuntu3 (using .../libgnutls26_2.12.14-5ubuntu3.1_amd64.deb) ...
Unpacking replacement libgnutls26 ...
Processing triggers for man-db ...
Processing triggers for ureadahead ...
ureadahead will be reprofiled on next reboot
Setting up libgnutls26:i386 (2.12.14-5ubuntu3.1) ...
Setting up libgnutls26 (2.12.14-5ubuntu3.1) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
(Reading database ... 
(Reading database ... 5%%
(Reading database ... 10%%
(Reading database ... 15%%
(Reading database ... 20%%
(Reading database ... 25%%
(Reading database ... 30%%
(Reading database ... 35%%
(Reading database ... 40%%
(Reading database ... 45%%
(Reading database ... 50%%
(Reading database ... 55%%
(Reading database ... 60%%
(Reading database ... 65%%
(Reading database ... 70%%
(Reading database ... 75%%
(Reading database ... 80%%
(Reading database ... 85%%
(Reading database ... 90%%
(Reading database ... 95%%
(Reading database ... 100%%
(Reading database ... 280864 files and directories currently installed.)
Preparing to replace gir1.2-dbusmenu-gtk-0.4 0.6.1-0ubuntu3 (using .../gir1.2-dbusmenu-gtk-0.4_0.6.2-0ubuntu0.1_amd64.deb) ...
Unpacking replacement gir1.2-dbusmenu-gtk-0.4 ...
Preparing to replace libdbusmenu-gtk4 0.6.1-0ubuntu3 (using .../libdbusmenu-gtk4_0.6.2-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libdbusmenu-gtk4 ...
Preparing to replace gir1.2-dbusmenu-glib-0.4 0.6.1-0ubuntu3 (using .../gir1.2-dbusmenu-glib-0.4_0.6.2-0ubuntu0.1_amd64.deb) ...
Unpacking replacement gir1.2-dbusmenu-glib-0.4 ...
Preparing to replace libdbusmenu-glib4 0.6.1-0ubuntu3 (using .../libdbusmenu-glib4_0.6.2-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libdbusmenu-glib4 ...
Preparing to replace libdbusmenu-gtk3-4 0.6.1-0ubuntu3 (using .../libdbusmenu-gtk3-4_0.6.2-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libdbusmenu-gtk3-4 ...
Preparing to replace libmtp-common 1.1.3-1 (using .../libmtp-common_1.1.3-1ubuntu0.1_all.deb) ...
Unpacking replacement libmtp-common ...
Preparing to replace libmtp-runtime 1.1.3-1 (using .../libmtp-runtime_1.1.3-1ubuntu0.1_amd64.deb) ...
Unpacking replacement libmtp-runtime ...
Preparing to replace libmtp9 1.1.3-1 (using .../libmtp9_1.1.3-1ubuntu0.1_amd64.deb) ...
Unpacking replacement libmtp9 ...
Preparing to replace libxkbfile1 1:1.0.7-1 (using .../libxkbfile1_1%%3a1.0.7-1ubuntu0.1_amd64.deb) ...
Unpacking replacement libxkbfile1 ...
Preparing to replace desktop-file-utils 0.20-0ubuntu2 (using .../desktop-file-utils_0.20-0ubuntu3_amd64.deb) ...
Unpacking replacement desktop-file-utils ...
Preparing to replace nautilus-sendto-empathy 3.4.2-0ubuntu1 (using .../nautilus-sendto-empathy_3.4.2.1-0ubuntu1_amd64.deb) ...
Unpacking replacement nautilus-sendto-empathy ...
Preparing to replace empathy 3.4.2-0ubuntu1 (using .../empathy_3.4.2.1-0ubuntu1_amd64.deb) ...
Unpacking replacement empathy ...
Preparing to replace empathy-common 3.4.2-0ubuntu1 (using .../empathy-common_3.4.2.1-0ubuntu1_all.deb) ...
Unpacking replacement empathy-common ...
Preparing to replace kate-data 4:4.8.3-0ubuntu0.1 (using .../kate-data_4%%3a4.8.4-0ubuntu0.1_all.deb) ...
Unpacking replacement kate-data ...
Preparing to replace libkdeclarative5 4:4.8.3-0ubuntu0.1 (using .../libkdeclarative5_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libkdeclarative5 ...
Preparing to replace libnepomuksync4 4:4.8.3-0ubuntu0.1 (using .../libnepomuksync4_4%%3a4.8.4-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libnepomuksync4 ...
Preparing to replace kde-runtime 4:4.8.3-0ubuntu0.1 (using .../kde-runtime_4%%3a4.8.4-0ubuntu0.1_amd64.deb) ...
Unpacking replacement kde-runtime ...
Preparing to replace kdoctools 4:4.8.3-0ubuntu0.1 (using .../kdoctools_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement kdoctools ...
Preparing to replace kdelibs-bin 4:4.8.3-0ubuntu0.1 (using .../kdelibs-bin_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement kdelibs-bin ...
Preparing to replace libkjsembed4 4:4.8.3-0ubuntu0.1 (using .../libkjsembed4_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libkjsembed4 ...
Preparing to replace libkemoticons4 4:4.8.3-0ubuntu0.1 (using .../libkemoticons4_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libkemoticons4 ...
Preparing to replace libkdesu5 4:4.8.3-0ubuntu0.1 (using .../libkdesu5_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libkdesu5 ...
Preparing to replace libplasma3 4:4.8.3-0ubuntu0.1 (using .../libplasma3_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libplasma3 ...
Preparing to replace libkrosscore4 4:4.8.3-0ubuntu0.1 (using .../libkrosscore4_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libkrosscore4 ...
Preparing to replace libkcmutils4 4:4.8.3-0ubuntu0.1 (using .../libkcmutils4_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libkcmutils4 ...
Preparing to replace libkde3support4 4:4.8.3-0ubuntu0.1 (using .../libkde3support4_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libkde3support4 ...
Preparing to replace libkmediaplayer4 4:4.8.3-0ubuntu0.1 (using .../libkmediaplayer4_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libkmediaplayer4 ...
Preparing to replace libkdewebkit5 4:4.8.3-0ubuntu0.1 (using .../libkdewebkit5_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libkdewebkit5 ...
Preparing to replace libkparts4 4:4.8.3-0ubuntu0.1 (using .../libkparts4_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libkparts4 ...
Preparing to replace libknewstuff3-4 4:4.8.3-0ubuntu0.1 (using .../libknewstuff3-4_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libknewstuff3-4 ...
Preparing to replace libknotifyconfig4 4:4.8.3-0ubuntu0.1 (using .../libknotifyconfig4_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libknotifyconfig4 ...
Preparing to replace libnepomukutils4 4:4.8.3-0ubuntu0.1 (using .../libnepomukutils4_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libnepomukutils4 ...
Preparing to replace libnepomukquery4a 4:4.8.3-0ubuntu0.1 (using .../libnepomukquery4a_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libnepomukquery4a ...
Preparing to replace libkpty4 4:4.8.3-0ubuntu0.1 (using .../libkpty4_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libkpty4 ...
Preparing to replace libkfile4 4:4.8.3-0ubuntu0.1 (using .../libkfile4_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libkfile4 ...
Preparing to replace libkio5 4:4.8.3-0ubuntu0.1 (using .../libkio5_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libkio5 ...
Preparing to replace libnepomuk4 4:4.8.3-0ubuntu0.1 (using .../libnepomuk4_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libnepomuk4 ...
Preparing to replace libkntlm4 4:4.8.3-0ubuntu0.1 (using .../libkntlm4_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libkntlm4 ...
Preparing to replace libkjsapi4 4:4.8.3-0ubuntu0.1 (using .../libkjsapi4_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libkjsapi4 ...
Preparing to replace libkdnssd4 4:4.8.3-0ubuntu0.1 (using .../libkdnssd4_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libkdnssd4 ...
Preparing to replace libkidletime4 4:4.8.3-0ubuntu0.1 (using .../libkidletime4_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libkidletime4 ...
Preparing to replace libkdeui5 4:4.8.3-0ubuntu0.1 (using .../libkdeui5_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libkdeui5 ...
Preparing to replace libkdecore5 4:4.8.3-0ubuntu0.1 (using .../libkdecore5_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libkdecore5 ...
Preparing to replace kde-runtime-data 4:4.8.3-0ubuntu0.1 (using .../kde-runtime-data_4%%3a4.8.4-0ubuntu0.1_all.deb) ...
Unpacking replacement kde-runtime-data ...
Preparing to replace katepart 4:4.8.3-0ubuntu0.1 (using .../katepart_4%%3a4.8.4-0ubuntu0.1_amd64.deb) ...
Unpacking replacement katepart ...
Preparing to replace kdelibs5-data 4:4.8.3-0ubuntu0.1 (using .../kdelibs5-data_4%%3a4.8.4a-0ubuntu0.1_all.deb) ...
Unpacking replacement kdelibs5-data ...
Preparing to replace kdelibs5-plugins 4:4.8.3-0ubuntu0.1 (using .../kdelibs5-plugins_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement kdelibs5-plugins ...
Preparing to replace libkhtml5 4:4.8.3-0ubuntu0.1 (using .../libkhtml5_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libkhtml5 ...
Preparing to replace libktexteditor4 4:4.8.3-0ubuntu0.1 (using .../libktexteditor4_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libktexteditor4 ...
Preparing to replace libsolid4 4:4.8.3-0ubuntu0.1 (using .../libsolid4_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libsolid4 ...
Preparing to replace libnepomukdatamanagement4 4:4.8.3-0ubuntu0.1 (using .../libnepomukdatamanagement4_4%%3a4.8.4-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libnepomukdatamanagement4 ...
Preparing to replace plasma-scriptengine-javascript 4:4.8.3-0ubuntu0.1 (using .../plasma-scriptengine-javascript_4%%3a4.8.4-0ubuntu0.1_amd64.deb) ...
Unpacking replacement plasma-scriptengine-javascript ...
Preparing to replace libthreadweaver4 4:4.8.3-0ubuntu0.1 (using .../libthreadweaver4_4%%3a4.8.4a-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libthreadweaver4 ...
Preparing to replace libkatepartinterfaces4 4:4.8.3-0ubuntu0.1 (using .../libkatepartinterfaces4_4%%3a4.8.4-0ubuntu0.1_amd64.deb) ...
Unpacking replacement libkatepartinterfaces4 ...
Preparing to replace xserver-common 2:1.11.4-0ubuntu10.2 (using .../xserver-common_2%%3a1.11.4-0ubuntu10.3_all.deb) ...
Unpacking replacement xserver-common ...
Preparing to replace xserver-xorg-core 2:1.11.4-0ubuntu10.2 (using .../xserver-xorg-core_2%%3a1.11.4-0ubuntu10.3_amd64.deb) ...
Unpacking replacement xserver-xorg-core ...
Processing triggers for hal ...
Regenerating hal fdi cache ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for gnome-menus ...
Processing triggers for man-db ...
Processing triggers for gconf2 ...
Processing triggers for libglib2.0-0:i386 ...
Processing triggers for libglib2.0-0 ...
Processing triggers for hicolor-icon-theme ...
Processing triggers for shared-mime-info ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Setting up linux-image-3.2.0-26-generic (3.2.0-26.41) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 3.2.0-26-generic /boot/vmlinuz-3.2.0-26-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.2.0-26-generic /boot/vmlinuz-3.2.0-26-generic
update-initramfs: Generating /boot/initrd.img-3.2.0-26-generic
Warning: No support for locale: en_US.utf8
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.2.0-26-generic /boot/vmlinuz-3.2.0-26-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.2.0-26-generic /boot/vmlinuz-3.2.0-26-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.2.0-26-generic /boot/vmlinuz-3.2.0-26-generic
/usr/sbin/grub-mkconfig: 33: /etc/default/grub: tmpfs: not found
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 127
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-3.2.0-26-generic.postinst line 1010.
dpkg: error processing linux-image-3.2.0-26-generic (--configure):
 subprocess installed post-installation script returned error exit status 2
No apport report written because MaxReports is reached already
dpkg: dependency problems prevent configuration of linux-image-generic:
 linux-image-generic depends on linux-image-3.2.0-26-generic; however:
  Package linux-image-3.2.0-26-generic is not configured yet.
dpkg: error processing linux-image-generic (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
dpkg: dependency problems prevent configuration of linux-generic:
 linux-generic depends on linux-image-generic (= 3.2.0.26.28); however:
  Package linux-image-generic is not configured yet.
dpkg: error processing linux-generic (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
Setting up cron (3.0pl1-120ubuntu4) ...
Installing new version of config file /etc/default/cron ...
cron start/running, process 1768
Setting up libdbusmenu-glib4 (0.6.2-0ubuntu0.1) ...
Setting up libdbusmenu-gtk4 (0.6.2-0ubuntu0.1) ...
Setting up gir1.2-dbusmenu-glib-0.4 (0.6.2-0ubuntu0.1) ...
Setting up gir1.2-dbusmenu-gtk-0.4 (0.6.2-0ubuntu0.1) ...
Setting up libdbusmenu-gtk3-4 (0.6.2-0ubuntu0.1) ...
Setting up libmtp-common (1.1.3-1ubuntu0.1) ...
Setting up libmtp9 (1.1.3-1ubuntu0.1) ...
Setting up libmtp-runtime (1.1.3-1ubuntu0.1) ...
Setting up libxkbfile1 (1:1.0.7-1ubuntu0.1) ...
Setting up desktop-file-utils (0.20-0ubuntu3) ...

Configuration file `/etc/gnome/defaults.list'
 ==> Modified (by you or by a script) since installation.
 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      Z     : start a shell to examine the situation
 The default action is to keep your current version.
*** defaults.list (Y/I/N/O/D/Z) [default=N] ? y
Installing new version of config file /etc/gnome/defaults.list ...
Setting up empathy-common (3.4.2.1-0ubuntu1) ...
Setting up nautilus-sendto-empathy (3.4.2.1-0ubuntu1) ...
Setting up empathy (3.4.2.1-0ubuntu1) ...
Setting up kate-data (4:4.8.4-0ubuntu0.1) ...
Setting up libkdecore5 (4:4.8.4a-0ubuntu0.1) ...
Setting up libkdeui5 (4:4.8.4a-0ubuntu0.1) ...
Setting up libkdeclarative5 (4:4.8.4a-0ubuntu0.1) ...
Setting up libnepomuk4 (4:4.8.4a-0ubuntu0.1) ...
Setting up libnepomuksync4 (4:4.8.4-0ubuntu0.1) ...
Setting up libkcmutils4 (4:4.8.4a-0ubuntu0.1) ...
Setting up libkpty4 (4:4.8.4a-0ubuntu0.1) ...
Setting up libkdesu5 (4:4.8.4a-0ubuntu0.1) ...
Setting up libsolid4 (4:4.8.4a-0ubuntu0.1) ...
Setting up libkio5 (4:4.8.4a-0ubuntu0.1) ...
Setting up libnepomukquery4a (4:4.8.4a-0ubuntu0.1) ...
Setting up libnepomukutils4 (4:4.8.4a-0ubuntu0.1) ...
Setting up libkparts4 (4:4.8.4a-0ubuntu0.1) ...
Setting up libkdewebkit5 (4:4.8.4a-0ubuntu0.1) ...
Setting up libkdnssd4 (4:4.8.4a-0ubuntu0.1) ...
Setting up libkemoticons4 (4:4.8.4a-0ubuntu0.1) ...
Setting up libkfile4 (4:4.8.4a-0ubuntu0.1) ...
Setting up libkjsapi4 (4:4.8.4a-0ubuntu0.1) ...
Setting up libktexteditor4 (4:4.8.4a-0ubuntu0.1) ...
Setting up libkhtml5 (4:4.8.4a-0ubuntu0.1) ...
Setting up libkidletime4 (4:4.8.4a-0ubuntu0.1) ...
Setting up libkmediaplayer4 (4:4.8.4a-0ubuntu0.1) ...
Setting up libknewstuff3-4 (4:4.8.4a-0ubuntu0.1) ...
Setting up libknotifyconfig4 (4:4.8.4a-0ubuntu0.1) ...
Setting up libnepomukdatamanagement4 (4:4.8.4-0ubuntu0.1) ...
Setting up libthreadweaver4 (4:4.8.4a-0ubuntu0.1) ...
Setting up libplasma3 (4:4.8.4a-0ubuntu0.1) ...
Setting up kde-runtime-data (4:4.8.4-0ubuntu0.1) ...
Setting up libkde3support4 (4:4.8.4a-0ubuntu0.1) ...
Setting up libkjsembed4 (4:4.8.4a-0ubuntu0.1) ...
Setting up libkntlm4 (4:4.8.4a-0ubuntu0.1) ...
Setting up libkrosscore4 (4:4.8.4a-0ubuntu0.1) ...
Setting up kdelibs5-data (4:4.8.4a-0ubuntu0.1) ...
Setting up kdoctools (4:4.8.4a-0ubuntu0.1) ...
Setting up kdelibs-bin (4:4.8.4a-0ubuntu0.1) ...
Setting up libkatepartinterfaces4 (4:4.8.4-0ubuntu0.1) ...
Setting up katepart (4:4.8.4-0ubuntu0.1) ...
Setting up kdelibs5-plugins (4:4.8.4a-0ubuntu0.1) ...
Setting up plasma-scriptengine-javascript (4:4.8.4-0ubuntu0.1) ...
Setting up kde-runtime (4:4.8.4-0ubuntu0.1) ...
Setting up xserver-common (2:1.11.4-0ubuntu10.3) ...
Setting up xserver-xorg-core (2:1.11.4-0ubuntu10.3) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Errors were encountered while processing:
 linux-image-3.2.0-26-generic
 linux-image-generic
 linux-generic
Error in function: 
Setting up linux-image-3.2.0-26-generic (3.2.0-26.41) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 3.2.0-26-generic /boot/vmlinuz-3.2.0-26-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.2.0-26-generic /boot/vmlinuz-3.2.0-26-generic
update-initramfs: Generating /boot/initrd.img-3.2.0-26-generic
Warning: No support for locale: en_US.utf8
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.2.0-26-generic /boot/vmlinuz-3.2.0-26-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.2.0-26-generic /boot/vmlinuz-3.2.0-26-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.2.0-26-generic /boot/vmlinuz-3.2.0-26-generic
/usr/sbin/grub-mkconfig: 33: /etc/default/grub: tmpfs: not found
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 127
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-3.2.0-26-generic.postinst line 1010.
dpkg: error processing linux-image-3.2.0-26-generic (--configure):
 subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of linux-image-generic:
 linux-image-generic depends on linux-image-3.2.0-26-generic; however:
  Package linux-image-3.2.0-26-generic is not configured yet.
dpkg: error processing linux-image-generic (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-generic:
 linux-generic depends on linux-image-generic (= 3.2.0.26.28); however:
  Package linux-image-generic is not configured yet.
dpkg: error processing linux-generic (--configure):
 dependency problems - leaving unconfigured
share|improve this question
add comment

2 Answers 2

Check if you have any space left under /boot partition, i.e.:

df -h /boot

Typically this is a problem if there is no space left on boot partition.

share|improve this answer
add comment

Running this has a good chance of cleaning up your problems:

sudo apt-get install -f
sudo dpkg --configure -a
sudo apt-get install -f
share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.